Can not preview video
2023-08-24 05:26 - crystal su

Status: Closed Start date:
Assignee: % Done:

Category: Attachments Estimated time:

Target version:

Resolution: Affected version:

Description

Hi,

This is my redmine environment information. | saw that the official website redmine4.0 began to support online preview videos.

Redmine 5.0.5.stable
Environment:
Redmine version 5.8.5.s5table
Ruby version 3.0.2-p107 (2021-067-087) [x86 64-1linux]
Rails version 65.1.7.2
Environment production
Database adapter PostgresqQL
Mailer queue ActiveJob: :QueueAdapters: : AsyncAdapter
Mailer delivery smtp
Redmine settings:
Redmine theme Default
SCM:
Git 1.8.3.1
Filesystem
Redmine plugins:
redmine agile
redmine checklists
redmine_embedded video
redmine_omniauth_ saml

When | was browsing the uploaded video online, the following error message occurred. (Video in mp4 format, h264 encoding)
TRPe3 #80093 » VID_20180517_103130.mp4

1, 2023-08-24 02:46

No video with supported format and
MIME type found.

When | open debugging, the following error message is displayed, is there a problem with my service configuration? Still video
encoding format does not support online browsing. Thank you very much for your answer

8 localhost:3000 VID_20180517_103130.mp4. media NS_ERROR CONNECTION REFUSED.

History

#1 - 2023-08-24 05:32 - Go MAEDA

In clipboard-202308241125-d08ea.png, there is an error message "NS_ERROR_CONNECTION_REFUSED". There may be something wrong with
your Redmine server configuration.

#2 - 2023-08-24 05:53 - crystal su
- File clipboard-202308241147-5x4tg.png added
- File clipboard-202308241150-q9vuz.png added

#3 - 2023-08-25 05:25 - crystal su
- File clipboard-202308251118-01kea.png added
- File clipboard-202308251124-kgchx.png added

Go MAEDA wrote in #note-1:

In clipboard-202308241125-d08ea.png, there is an error message "NS_ERROR_CONNECTION_REFUSED". There may be something wrong
with your Redmine server configuration.

| try to picture in the red box in the browser SRC from http://localhost:3000/attachments/download/1/1.webm to /attachments/download / 1/1. Webm,
video can be normal.
https://www.redmine.org/attachments/30875
https://www.redmine.org/attachments/30875
http://localhost:3000/attachments/download/1/1.webm

clipboard-202308251118-o1kea.png
Is the path parameter in the app/views/common/_other.html.erb file added or obtained on the open port of the service http://localhost:3000? | am not
familiar with ruby, | would like to ask what code should be changed so that the path parameter does not take http://localhost:xx
http://localhost:3000
http://localhost:xx

clipboard-202308251124-kgchx.png

#4 - 2023-08-28 19:45 - Holger Just

- Status changed from New to Needs feedback

You have to configure the correct external URI in Administration -> Settings -> Host name and path and the correct external protocol in the
Protocol setting below.

When configuring your web server, you have to make sure to pass the externally sent Host header along to the application server. E.g. when using
nginx and puma, you have to include

proxy_set_header Host S$host;
into your nginx config besides your proxy_pass rule.
Please check your webserver and application server config and check your application server logs. If you still observe this issue, please post
e details about your hosting environment (operating system, webserver and application server)

¢ the configuration of both your webserver (e.g. the entire virtual host / server section related to redmine) and your application server
e an excerpt of the request log of Redmine from logs/production.log in your Redmine directory.

#5 - 2023-09-05 17:16 - Holger Just
- Status changed from Needs feedback to Closed

Solution confirmed in the forum thread at RE: can not preview video.
